## Class TMssqlMetaData

Description

TMssqlMetaData loads MSSQL database table and column information.

- since: 3.1
- version: $Id: TPgsqlMetaData.php 1866 2007-04-14 05:02:29Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Mssql/TMssqlMetaData.php (line 27)

    TComponent
       |
       --TDbMetaData
          |
          --TMssqlMetaData

Method Summary
TMssqlTableInfo createNewTableInfo (string $col, string 1)
TMssqlTableInfo createTableInfo (string $table)
array getCatalogSchemaTableName (string $table)
array getConstraintKeys (string $col, string 1)
array getForeignConstraints (string $col, string 1)
string getTableInfoClass ()
boolean isForeignKeyColumn (string $columnId, TPgsqlTableInfo $tableInfo)
void processColumn (TMssqlTableInfo $tableInfo, array $col)
Methods
createNewTableInfo (line 132)

- access: protected

TMssqlTableInfo createNewTableInfo (string $col, string 1)

- string 1: table name.
- string $col: table schema name

createTableInfo (line 42)

Get the column definitions for given table.

- return: table information.
- access: protected

TMssqlTableInfo createTableInfo (string $table)

- string $table: table name.

Redefinition of:

TDbMetaData::createTableInfo()
  This method should be implemented by decendent classes.

getCatalogSchemaTableName (line 82)

- return: tuple($catalogName,$schemaName,$tableName)
- access: protected

array getCatalogSchemaTableName (string $table)

- string $table: table name

getConstraintKeys (line 150)

Gets the primary and foreign key column details for the given table.

- return: tuple ($primary, $foreign)
- access: protected

array getConstraintKeys (string $col, string 1)

- string 1: table name.
- string $col: schema name

getForeignConstraints (line 177)

Gets foreign relationship constraint keys and table name

- return: foreign relationship table name and keys.
- access: protected

array getForeignConstraints (string $col, string 1)

- string 1: table name
- string $col: database name

getTableInfoClass (line 32)

- return: TDbTableInfo class name.
- access: protected

string getTableInfoClass ()

Redefinition of:

TDbMetaData::getTableInfoClass()

isForeignKeyColumn (line 221)

- return: true if column is a foreign key.
- access: protected

boolean isForeignKeyColumn (string $columnId, TPgsqlTableInfo $tableInfo)

- string $columnId: column name.
- TPgsqlTableInfo $tableInfo: table information.

processColumn (line 98)

- access: protected

void processColumn (TMssqlTableInfo $tableInfo, array $col)

- TMssqlTableInfo $tableInfo: table information.
- array $col: column information.

#### Inherited Methods

Inherited From TDbMetaData

> TDbMetaData::__construct()
> TDbMetaData::createCommandBuilder()
> TDbMetaData::createTableInfo()
> TDbMetaData::getDbConnection()
> TDbMetaData::getInstance()
> TDbMetaData::getTableInfo()
> TDbMetaData::getTableInfoClass()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:38 -0400 by phpDocumentor 1.3.0RC4